%define prerel 0
%define pre 0

%ifarch %{arm}
%define build_docs 0
%else
%define build_docs 0
%endif

%define qtmajor 5
%define qtminor 11
%define qtsubminor 2

%define rel 1

%define major_private 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqtwebsockets %mklibname qt5websockets %qtmajor
%define libqtwebsockets_d %mklibname qt5websockets -d

%if %prerel
%define qttarballdir qtwebsockets-everywhere-src-%{qtversion}-%pre
%else
%define qttarballdir qtwebsockets-everywhere-src-%{qtversion}
%endif

Name: qtwebsockets5
Version: 5.11.2
Release: %mkrel 1
Summary: Qt WebSockets component
Group: Development/KDE and Qt
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt.io
Source0: http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel >= %{version}
BuildRequires: pkgconfig(Qt5Qml) >= %{version}
BuildRequires: pkgconfig(Qt5Quick) >= %{version}

#Branch Patchs

#Trunk Patchs

#Patch from Mageia


%description
QtWebSockets is a pure Qt implementation of WebSockets - both client and
server.
It is implemented as a Qt add-on module, that can easily be embedded into
existing Qt projects. It has no other dependencies than Qt.

%files
%{_qt5_qml}/Qt/WebSockets/
%{_qt5_qml}/QtWebSockets/

#------------------------------------------------------------------------------

%if %{build_docs}
%package doc
Summary: QtWebSockets%{qtmajor} APIs and tools docs
Group:   Documentation
BuildArch: noarch
BuildRequires: qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires: qttools5-assistant
Recommends: qttools5-assistant

%description doc
Documentation for APIs and tools in QtWebSockets5 package for use with
Qt Assistant.

%files doc
%{_qt5_docdir}/qtwebsockets.qch
%{_qt5_docdir}/qtwebsockets/
%endif

#------------------------------------------------------------------------------

%package -n %{libqtwebsockets}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Obsoletes: %{_lib}qtwebsockets5 < %{qtversion}-5

%description -n %{libqtwebsockets}
Qt%{qtmajor} Component Library.

QtWebSockets is a pure Qt implementation of WebSockets - both client and
server.

%files -n %{libqtwebsockets}
%{_qt5_libdir}/libQt5WebSockets.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqtwebsockets_d}
Summary: Devel files needed to build apps based on QtWebSockets
Group:    Development/KDE and Qt
Requires: %{name} = %{version}
Requires: %{libqtwebsockets} = %version
Requires: qtbase5-common-devel = %{version}
Obsoletes: %{_lib}qtwebsockets5-devel < %{qtversion}-5
Provides: libqtwebsockets5-devel = %version
Provides: qtwebsockets5-devel = %version

Provides: libqtwebsockets5-private-devel = %version
Provides: libqt5websockets-private-devel = %version
Provides: qtwebsockets5-private-devel = %version
Provides: qt5websockets-private-devel = %version
Requires: qt5core-private-devel = %version

%description -n %{libqtwebsockets_d}
Devel files needed to build apps based on QtWebSockets.

%files -n %{libqtwebsockets_d}
%{_qt5_libdir}/libQt5WebSockets.prl
%{_qt5_libdir}/libQt5WebSockets.so
%{_qt5_libdir}/pkgconfig/Qt5WebSockets.pc
%{_qt5_includedir}/QtWebSockets
%{_qt5_libdir}/cmake/*
%{_qt5_datadir}/mkspecs/modules/*
%{_qt5_examplesdir}/*

#------------------------------------------------------------------------------

%prep
%setup -q -n qtwebsockets-everywhere-src-%{qtversion}

%build
%qmake_qt5

%make_build

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif

install -d %{buildroot}%{_qt5_docdir}

# .la and .a files, die, die, die.
find %{buildroot} -name '*.la' -delete
find %{buildroot} -name '*.a' -delete


%changelog
* Mon Oct 15 2018 adrianomorselli <adrianomorselli> 5.11.2-1uplos2018
- update
